export declare class Router {
    private readonly _routes;
    private readonly _paramsResolvers;
    private readonly _urlParams;
    private readonly _loading;
    private readonly _location;
    constructor(loading: HTMLElement, location: any);
    add(id: string | string[], fn: (e: HTMLFormElement, data: any) => void): void;
    addParamsResolver(param: string, fn: (params: Map<string, string>) => void, weight?: number): void;
    show(id: string, data?: any): void;
    start(): void;
    loading(): void;
    loaded(): void;
    redirectURIorBackTo(backTo?: string): void;
    getUrlParams(key: string): string;
    setUrlParams(key: string, value: string): void;
    private checkIfHasParamsResolver;
    private parseURLParams;
}
